import greenfoot.*;


/**
 * Space. Something for policemans to fly in.
 * 
 * @author Michael Kölling
 * @version 1.1
 */
public class Town extends World
{
    private Counter scoreCounter;
    private int startDoughnuts = 3;

    /**
     * Create the space and all objects within it.
     */
    public Town() 
    {
        super(800, 500, 1);
        // GreenfootImage bg = new GreenfootImage("background.jpg");
        // bg.scale(getWidth(), getHeight());
        // setbackground(bg);
        Policeman policeman = new Policeman();
        addObject(policeman, getWidth()/2 + 100, getHeight()/2);
        
        addDoughnuts(startDoughnuts);
        
        scoreCounter = new Counter("Score: ");
        //addObject(scoreCounter, 60, 480);

        Explosion.initializeImages();
        ProtonWave.initializeImages();
    }
    
    /**
     * Add a given number of doughnuts to our world. Doughnuts are only added into
     * the left half of the world.
     */
    private void addDoughnuts(int count) 
    {
        for(int i = 0; i < count; i++) 
        {
            int x = Greenfoot.getRandomNumber(getWidth()/2);
            int y = Greenfoot.getRandomNumber(getHeight()/2);
            addObject(new Doughnut(), x, y);
        }
    }

    /**
     * Crete a given number of stars in space.
     */
   
    
    /**
     * This method is called when the game is over to display the final score.
     */
    public void gameOver() 
    {
        addObject(new ScoreBoard(999), getWidth()/2, getHeight()/2);
    }

}